Subject: Re: randconfig build errors with next-20130620, in several drivers/media

From: Laurent Pinchart <[email-masked]>
Date: Sat, 22 Jun 2013 16:26:36 +0200

Hi Randy,

On Friday 21 June 2013 18:42:25 Randy Dunlap wrote:
> On 06/21/13 17:27, Laurent Pinchart wrote:
> > On Thursday 20 June 2013 11:52:44 Jim Davis wrote:
> >> Building with the attached random configuration file generates errors in
> >> both
> > 
> > [snip]
> > 
> > The issue seem to be caused by USB_VIDEO_CLASS=y and VIDEO_V4L2=m &&
> > USB=m.
> > I'm not sure what made that combination possible, but I haven't been able
> > to reproduce it locally on next-20130620. Running make with the attached
> > config turns USB_VIDEO_CLASS=y into USB_VIDEO_CLASS=m.
> 
> Yes, same for me:  USB_VIDEO_CLASS=m instead of =y.
> 
> However, please check the attached config file (as reported on June 17).
> 
> On linux-next of 20130621 it still produces:
> 
> CONFIG_USB_VIDEO_CLASS=y
> CONFIG_VIDEO_V4L2=m
> CONFIG_USB=m

I've just sent a patch to linux-media (you've been CC'ed) to fix this.

-- 
Regards,

Laurent Pinchart